/* =========================
   GAME POPULER
========================= */

.pp-games-section {
  width: 100%;
  padding: 14px 12px 28px;
  background: #050505;
}

.pp-games-box {
  max-width: 1160px;
  margin: 0 auto;
  padding: 14px 14px 16px;
  background: #161616;
  border-radius: 7px;
  overflow: hidden;
}

.pp-games-title {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 16px;
}

.pp-games-title span {
  width: 3px;
  height: 20px;
  border-radius: 10px;
  background: #d9973d;
}

.pp-games-title h2 {
  color: #fff;
  font-size: 14px;
  font-weight: 900;
  text-transform: uppercase;
}

.pp-games-scroll {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(110px, 1fr));
  gap: 14px;
  width: 100%;
}

.pp-games-scroll::-webkit-scrollbar {
  height: 6px;
}

.pp-games-scroll::-webkit-scrollbar-track {
  background: #2b2b2b;
  border-radius: 20px;
}

.pp-games-scroll::-webkit-scrollbar-thumb {
  background: #bfbfbf;
  border-radius: 20px;
}

.pp-game-card {
  width: 100%;
  text-decoration: none;
  color: #fff;
  display: block;
}

.pp-game-card img {
  width: 100%;
  aspect-ratio: 1 / 1;
  display: block;
  object-fit: cover;
  border-radius: 5px;
  background: #222;
  border: 3px solid #333;
  transition: 0.25s ease;
}

.pp-game-card:hover img {
  transform: translateY(-3px);
  border-color: #d9973d;
}

.pp-game-card p {
  margin-top: 7px;
  color: #fff;
  font-size: 11px;
  font-weight: 800;
  line-height: 1.2;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* MOBILE */
@media (max-width: 768px) {
  .pp-games-box {
    padding: 12px;
  }

  .pp-games-scroll {
    grid-auto-columns: 95px;
    gap: 12px;
  }

  .pp-game-card {
    width: 95px;
  }

  .pp-game-card img {
    width: 95px;
    height: 95px;
  }

  .pp-game-card p {
    font-size: 10px;
  }
}

.pp-game-card {
  position: relative;
  width: 100%;
  text-decoration: none;
  color: #fff;
  display: block;
}

.pp-game-card::after {
  content: "MAIN";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -65%) scale(0.9);
  z-index: 3;
  padding: 9px 22px;
  border-radius: 30px;
  color: #fff;
  font-size: 12px;
  font-weight: 900;
  background: linear-gradient(180deg, #ffcf75, #9f6224);
  box-shadow: 0 6px 15px rgba(0,0,0,0.45);
  opacity: 0;
  transition: 0.25s ease;
  pointer-events: none;
}

.pp-game-card::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  aspect-ratio: 1 / 1;
  z-index: 2;
  border-radius: 5px;
  background: rgba(0,0,0,0.55);
  opacity: 0;
  transition: 0.25s ease;
  pointer-events: none;
}

.pp-game-card:hover::before,
.pp-game-card:hover::after {
  opacity: 1;
}

.pp-game-card:hover::after {
  transform: translate(-50%, -65%) scale(1);
}